### Class

# AppStream Issue

#### Description

    class AppStream.Issue : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_issue_new

Creates a new `AsIssue`.

#### Instance methods

###### as_issue_get_id

Gets the issue ID (usually a bug number or CVE ID).

###### as_issue_get_json_url

Gets a URL to fetch machine-readable JSON data about this issue from the Global CVE Allocation System (GCVE) database, if this issue references a CVE or GCVE entry.

since: 1.1.4

###### as_issue_get_kind

Gets the issue type.

###### as_issue_get_url

Gets the URL associacted with this issue, usually referencing a bug report or issue description.

###### as_issue_set_id

Sets the issue ID.

###### as_issue_set_kind

Sets the issue type.

###### as_issue_set_url

Sets an URL describing this issue.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamIssueClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.